Package org.apache.solr.client.solrj.request.json

# Class DomainMap

java.lang.Object
java.util.AbstractMap<String,Object>
java.util.HashMap<String,Object>
org.apache.solr.client.solrj.request.json.DomainMap

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,Object>`

public class DomainMap extends HashMap<String,Object>

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`DomainMap()`

## Method Summary

Modifier and Type
Method
Description
`DomainMap`
`setBlockChildQuery(String allChildrenQuery)`
Indicates that the resulting domain will contain all child documents of the parents in the current domain
`DomainMap`
`setBlockParentQuery(String allParentsQuery)`
Indicates that the resulting domain will contain all parent documents of the children in the existing domain
`DomainMap`
`setJoinTransformation(String from, String to)`
Transforms the domain by running a join query with the provided `from` and `to` parameters
`DomainMap`
`withFilter(String filter)`
Indicates that the domain should be narrowed by the specified filter
`DomainMap`
`withQuery(String query)`
Indicates that the domain should be the following query
`DomainMap`
`withTagsToExclude(String excludeTagsValue)`
Provide a tag or tags that correspond to filters or queries to exclude from the domain

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

## Constructor Details

### DomainMap

public DomainMap()

## Method Details

### withFilter

public DomainMap withFilter(String filter)
Indicates that the domain should be narrowed by the specified filter

May be called multiple times. Each added filter is retained and used to narrow the domain.

### withQuery

public DomainMap withQuery(String query)
Indicates that the domain should be the following query

May be called multiple times. Each specified query is retained and included in the domain.

### withTagsToExclude

public DomainMap withTagsToExclude(String excludeTagsValue)
Provide a tag or tags that correspond to filters or queries to exclude from the domain

May be called multiple times. Each exclude-string is retained and used for removing queries/filters from the domain specification.

Parameters:
  `excludeTagsValue` - a comma-delimited String containing filter/query tags to exclude

### setBlockParentQuery

public DomainMap setBlockParentQuery(String allParentsQuery)
Indicates that the resulting domain will contain all parent documents of the children in the existing domain

Parameters:
  `allParentsQuery` - a query used to identify all parent documents in the collection

### setBlockChildQuery

public DomainMap setBlockChildQuery(String allChildrenQuery)
Indicates that the resulting domain will contain all child documents of the parents in the current domain

Parameters:
  `allChildrenQuery` - a query used to identify all child documents in the collection

### setJoinTransformation

public DomainMap setJoinTransformation(String from, String to)
Transforms the domain by running a join query with the provided `from` and `to` parameters

Join modifies the current domain by selecting the documents whose values in field `to` match values for the field `from` in the current domain.

Parameters:
  `from` - a field-name whose values are matched against `to` by the join
  `to` - a field name whose values should match values specified by the `from` field